Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1048574 - SELinux is preventing /usr/bin/mailx from 'write' accesses on the directory /.
Summary: SELinux is preventing /usr/bin/mailx from 'write' accesses on the directory /.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sendmail
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:73056359c14859620994938132c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-05 11:12 UTC by Frank Murphy
Modified: 2015-06-29 14:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:11:52 UTC
Type: ---


Attachments (Terms of Use)

Description Frank Murphy 2014-01-05 11:12:31 UTC
Description of problem:
This is if a (usually system) mail can't be delivered,  you end up with /root/dead.letter (the email as plain text)
SELinux is preventing /usr/bin/mailx from 'write' accesses on the directory /.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that mailx should be allowed write access on the  directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sendmail /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:system_mail_t:s0
Target Context                system_u:object_r:root_t:s0
Target Objects                / [ dir ]
Source                        sendmail
Source Path                   /usr/bin/mailx
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           mailx-12.5-10.fc20.x86_64
Target RPM Packages           filesystem-3.2-19.fc20.x86_64
Policy RPM                    selinux-policy-3.12.1-106.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.13.0-0.rc6.git0.2.fc21.x86_64 #1
                              SMP Tue Dec 31 04:14:44 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2014-01-05 09:08:46 GMT
Last Seen                     2014-01-05 09:08:46 GMT
Local ID                      a4a62d69-d99a-489b-9857-07d2edb9d86f

Raw Audit Messages
type=AVC msg=audit(1388912926.216:1117): avc:  denied  { write } for  pid=32587 comm="sendmail" name="/" dev="dm-0" ino=2 scontext=system_u:system_r:system_mail_t:s0 tcontext=system_u:object_r:root_t:s0 tclass=dir


type=SYSCALL msg=audit(1388912926.216:1117): arch=x86_64 syscall=open success=no exit=EACCES a0=12442a0 a1=441 a2=1b6 a3=c items=0 ppid=32579 pid=32587 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=sendmail exe=/usr/bin/mailx subj=system_u:system_r:system_mail_t:s0 key=(null)

Hash: sendmail,system_mail_t,root_t,dir,write

Additional info:
reporter:       libreport-2.1.10
hashmarkername: setroubleshoot
kernel:         3.13.0-0.rc6.git0.2.fc21.x86_64
type:           libreport

Comment 1 Miroslav Grepl 2014-01-06 09:34:49 UTC
Do you know what sendmail tries to do in / dir in this case?

Comment 2 Frank Murphy 2014-01-06 09:43:40 UTC
I don't have sendmail installed.
I have exim installed yesterday for testing, up to then no mta.
No idea why it's trying to write /

Comment 3 Daniel Walsh 2014-01-06 16:42:39 UTC
Usually the app is confused and thinks / is its homedir.  HOMEDIR=/.

Then it tries to create content in its homedir, perhaps

/root/Maildir(/.*)?	system_u:object_r:mail_home_rw_t:s0

Comment 4 Christian Stadelmann 2014-10-12 19:33:26 UTC
This bug is still present on F21 Alpha.

In my case it is triggered by some cron jobs (e.g. smartd from smartmontools) trying to send me a mail when finishing their work.
I have esmtp installed providing sendmail.

Comment 5 Fedora End Of Life 2015-05-29 10:20:41 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 14:11:52 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.